Subject: Re: bug#31880: 26.1; VC mode line popup when clicked is off screen

From: martin rudalics <[email-masked]>
Date: Wed, 20 Jun 2018 13:55:30 +0200

> It should, but it doesnʼt. I see similar problems here, but I donʼt
 > understand why (unless this is another instance of "Mixing X and GTK
 > calls will bite your arse eventually").

What happens when you move a frame to the bottom of your screen and
open a menu bar entry?  Does it also get hidden?

 > GTK tooltips seem to appear in the right place, so Iʼll look for
 > inspiration there.

It's up to GTK to decide whether a menu fits on the screen so maybe it
messes up the height of menu bar text when scaling is in effect.  Does
scaling affect the height of menus in the first place?  Does it affect
the height of tooltips?

Thanks for looking into this, martin